| OpenCV 4.3.0 Open Source Computer Vision

Functions
operators.hpp File Reference
`#include <opencv2/gapi/gmat.hpp>`
`#include <opencv2/gapi/gscalar.hpp>`

## Functions
cv::GMat | operator & (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator & (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator & (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator!= (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator!= (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator!= (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator* (const cv::GMat &lhs, float rhs)
cv::GMat | operator* (float lhs, const cv::GMat &rhs)
cv::GMat | operator* (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator* (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator+ (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator+ (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator+ (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator- (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator- (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator- (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator/ (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator/ (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator/ (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator< (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator< (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator< (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator<= (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator<= (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator<= (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator== (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator== (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator== (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator> (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator> (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator> (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator>= (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator>= (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator>= (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator^ (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator^ (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator^ (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator| (const cv::GMat &lhs, const cv::GMat &rhs)
cv::GMat | operator| (const cv::GScalar &lhs, const cv::GMat &rhs)
cv::GMat | operator| (const cv::GMat &lhs, const cv::GScalar &rhs)
cv::GMat | operator~ (const cv::GMat &lhs)

## Function Documentation

## ◆ operator &() [1/3]

cv::GMat operator& | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator &() [2/3]

cv::GMat operator& | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator &() [3/3]

cv::GMat operator& | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator!=() [1/3]

cv::GMat operator!= | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator!=() [2/3]

cv::GMat operator!= | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator!=() [3/3]

cv::GMat operator!= | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator*() [1/4]

cv::GMat operator* | ( | const cv::GMat & | lhs,
|  | float | rhs
| ) |  |

## ◆ operator*() [2/4]

cv::GMat operator* | ( | float | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator*() [3/4]

cv::GMat operator* | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator*() [4/4]

cv::GMat operator* | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator+() [1/3]

cv::GMat operator+ | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator+() [2/3]

cv::GMat operator+ | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator+() [3/3]

cv::GMat operator+ | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator-() [1/3]

cv::GMat operator- | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator-() [2/3]

cv::GMat operator- | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator-() [3/3]

cv::GMat operator- | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator/() [1/3]

cv::GMat operator/ | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator/() [2/3]

cv::GMat operator/ | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator/() [3/3]

cv::GMat operator/ | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator<() [1/3]

cv::GMat operator< | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator<() [2/3]

cv::GMat operator< | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator<() [3/3]

cv::GMat operator< | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator<=() [1/3]

cv::GMat operator<= | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator<=() [2/3]

cv::GMat operator<= | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator<=() [3/3]

cv::GMat operator<= | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator==() [1/3]

cv::GMat operator== | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator==() [2/3]

cv::GMat operator== | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator==() [3/3]

cv::GMat operator== | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator>() [1/3]

cv::GMat operator> | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator>() [2/3]

cv::GMat operator> | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator>() [3/3]

cv::GMat operator> | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator>=() [1/3]

cv::GMat operator>= | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator>=() [2/3]

cv::GMat operator>= | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator>=() [3/3]

cv::GMat operator>= | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator^() [1/3]

cv::GMat operator^ | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator^() [2/3]

cv::GMat operator^ | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator^() [3/3]

cv::GMat operator^ | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator|() [1/3]

cv::GMat operator| | ( | const cv::GMat & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator|() [2/3]

cv::GMat operator| | ( | const cv::GScalar & | lhs,
|  | const cv::GMat & | rhs
| ) |  |

## ◆ operator|() [3/3]

cv::GMat operator| | ( | const cv::GMat & | lhs,
|  | const cv::GScalar & | rhs
| ) |  |

## ◆ operator~()

cv::GMat operator~ | ( | const cv::GMat & | lhs | ) |